Create Customers
Creates Customers. Create up to 10 customers in one call.
Required Fields
- last_name
- first_name
Required Fields Customer Address
- first_name
- city
- country_code
- last_name
- address1
Required Fields Attributes
- Attributes must be created BEFORE creating a customer.
- attribute_id
- attribute_value — This is input as a string, regardless of the Type.
Notes
A customer can be created with global access or channel-specific access.
- Global access:
- Make sure the channel has
allow_global_loginsenabled. This is on by default only for the default storefront. Find more info at Customer Settings > Channel. - Omit
channel_idsfield, or providechannel_ids: null.
- Make sure the channel has
- Channel-specific access:
- Provide a
channel_idsarray containing the channels accessible by the customer. This array cannot be empty.
- Provide a
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Request
This endpoint expects a list of objects.
email
The email of the customer. Must be unique.
first_name
The first name of the customer.
last_name
The last name of the customer.
company
The company of the customer.
phone
The phone number of the customer.
notes
The customer notes.
tax_exempt_category
The tax exempt category code for the customer.
customer_group_id
ID of the group which this customer belongs to.
addresses
Array of customer addresses. Limited to 10.
attributes
Array of customer attributes. Limited to 10.
authentication
accepts_product_review_abandoned_cart_emails
It determines if the customer is signed up to receive either product review or abandoned cart emails or receive both emails.
store_credit_amounts
Store credit.
origin_channel_id
Channel ID of the customer that has created the form.
channel_ids
Array of channels the customer can access.
form_fields
Array of form fields. Controlled by formfields parameter.
trigger_account_created_notification
Indicates whether to send a customer registered welcome email.
Response
Customer Collection Response
data
meta
Response metadata.
Errors
413
Content Too Large Error
422
Unprocessable Entity Error